ZuploZuplo
LoginStart for Free
  • Documentation
  • API Reference
Information
Analytics
    Get recent requests for a given deployment in the last 24 hoursgetGet statistics on requests by status code for a given deploymentget
API Keys - Buckets
    Lists bucketsgetCreates a bucketpostGets a bucketgetDeletes a bucketdeleteUpdates a bucketpatch
API Keys - Consumers
    Lists consumersgetCreates a consumerpostGets a consumergetDeletes a consumerdeleteUpdates a consumerpatchRoll consumer keyspost
API Keys - Keys
    Lists keysgetCreates an API keypostCreates multiple API keyspostGets an API keygetDeletes an API keydeleteUpdates an API keypatch
API Keys - Managers
    Lists managersgetCreates a managerpostDeletes a managerdelete
Audit Logs
    Query audit logsget
Build Logs
    Get build logsget
Client mTLS CA Certificates
    List Client mTLS CA CertificatesgetCreate Client mTLS CA CertificatepostDelete Client mTLS CA CertificatedeleteUpdate Client mTLS CA Certificatepatch
Custom Domains
    Get Custom DomainsgetCreate Custom DomainpostDelete a Custom DomaindeleteUpdate a Custom Domainpatch
Deployments
    Gets a deployment statusgetLists deploymentsgetUpload deployment sourcepostGet a deploymentgetDeletes a deploymentdeleteRe-deploy a deploymentpost
Environments
    Query environmentsgetGet an environmentget
MCP Servers
    API MCP ServerpostDocs MCP Serverpost
Metering - Features
    List featuresgetCreate featurepostGet featuregetDelete featuredelete
Metering - Meters
    List metersgetCreate meterpostGet metergetUpdate meterputDelete meterdeleteList meter group by valuesgetQuery metergetQuery meterpost
Metering - Plans
    List plansgetCreate a planpostGet plangetUpdate a planputDelete plandeleteArchive plan versionpostPublish planpost
Projects
    Create projectpost
Runtime Logs
    List request logsgetGet request log detailget
Tunnel Services
    Gets a provisioning statusgetGets a service configurationgetConfigures tunnel servicesput
Tunnels
    Lists tunnelsgetCreates a tunnelpostGets a tunnelgetDeletes a tunneldeleteRotates the tokenpostGets a teardown statusget
Variables
    Creates a variablepostUpdates a variablepatch
Other endpoints
    OpenAPI SpecificationgetLists accountsgetLists projectsgetWho Am Iget
Schemas
powered by Zudoku
Zuplo Developer API
Zuplo Developer API

Analytics

Analytics and usage data


Get recent requests for a given deployment in the last 24 hours

GET
https://dev.zuplo.com
/v1/deployments/{deploymentName}/recent-calls

Get recent requests for a given deployment in the last 24 hours › path Parameters

deploymentName
​string · required

Get recent requests for a given deployment in the last 24 hours › query Parameters

consumers
​string[] · required

List of consumers to fetch analytics for.

limit
​integer · min: 1 · max: 1000

Maximum number of recent calls to return. Defaults to 20 when omitted.

Get recent requests for a given deployment in the last 24 hours › Responses

The request has succeeded.

Zuplo.ConsumerAnalytics.RecentCallsData
​Zuplo.ConsumerAnalytics.RequestData[] · readOnly · required
GET/v1/deployments/{deploymentName}/recent-calls
curl 'https://dev.zuplo.com/v1/deployments/:deploymentName/recent-calls?consumers=<value>'
Example Responses
{ "data": [ { "consumer": "consumer", "method": "method", "routePath": "routePath", "statusCode": "statusCode", "timeStamp": "timeStamp", "city": "city", "country": "country" } ] }
json
application/json

Get statistics on requests by status code for a given deployment

GET
https://dev.zuplo.com
/v1/deployments/{deploymentName}/stats-by-status-code

Get statistics on requests by status code for a given deployment › path Parameters

deploymentName
​string · required

Get statistics on requests by status code for a given deployment › query Parameters

filter
​Zuplo.ConsumerAnalytics.StatsByStatusCode.TimeWindowFilter · enum · required

The time window to filter the results by.

Enum values:
last-hour
last-24-hours
last-7-days
last-30-days
last-3-months
consumers
​string[] · required

List of consumers to fetch analytics for.

Get statistics on requests by status code for a given deployment › Responses

The request has succeeded.

Zuplo.ConsumerAnalytics.ReponseStatsByStatusCodeData
​object · readOnly · required
GET/v1/deployments/{deploymentName}/stats-by-status-code
curl 'https://dev.zuplo.com/v1/deployments/:deploymentName/stats-by-status-code?filter=<string>&consumers=<value>'
Example Responses
{ "data": { "stats": [ { "totalCalls": 0, "consumer": "consumer", "callsByStatusCode": [ {} ] } ], "details": [ { "consumer": "consumer", "timeStamp": "timeStamp", "totalCalls": 0, "callsByStatusCode": [ {} ] } ] } }
json
application/json

API Keys - Buckets